module System.Script
  ( syntax
  , try
  , warn ) where

import System.Exit (die)
import System.Environment (getProgName)
import System.IO (hPutStrLn, stderr)
import Text.Printf (printf)

syntax :: String -> IO ()
syntax s = do
  this <- getProgName
  die $ printf "Syntax: %s %s" this s

try :: IO (Either String a) -> IO a
try = (>>= either die pure)

warn :: String -> IO ()
warn = hPutStrLn stderr
