#!/usr/bin/env -S runhaskell --ghc-arg="-Wall" --ghc-arg="-i lib"
{-# LANGUAGE OverloadedStrings #-}

import Data.Text as Text (Text, pack, intercalate)
import Data.Text.IO as Text (putStr)
import GEODE.Metadata (PrimaryKey, uid, readNamedTsv)
import System.Environment (getArgs)
import System.Script (syntax, try)
import Text.Printf (printf)

txmQuery :: Foldable t => t PrimaryKey -> Text
txmQuery = ("/region[text,a]:: " <>) . Text.intercalate "|" . groupBy (book.get)
  where
    select = Text.pack . printf "a.text_uid=\"%s\"" . uid

main :: IO ()
main = getArgs >>= run
  where
    run [files] =
      try (readNamedTsv files) >>= Text.putStr . txmQuery
    run _ = syntax "FILES.tsv"
